package cn.superdesk.uniorder.dubbo.consumer.accounting.supplier;

import cn.superdesk.uniorder.common.rest.response.R;
import cn.superdesk.uniorder.dao.entity.accounting.unified.supplier.AccountingUnifiedSupplierXGoods;
import cn.superdesk.uniorder.dto.param.accounting.unified.supplier.AccountingUnifiedSupplierXGoodsParam;
import cn.superdesk.uniorder.dubbo.facade.accounting.supplier.DubboAccountingUnifiedSupplierXGoodsService;
import com.alibaba.dubbo.config.annotation.Reference;
import com.github.pagehelper.PageInfo;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import java.util.List;
import java.util.Map;

/**
 * @Description:
 * @Author: linjinyu
 * @Email linjinyu@avic-s.com
 * @CreateDate: 2020-10-23 17:19:13
 * @UpdateUser: linjinyu
 * @UpdateDate: 2020-10-23 17:19:13
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@Slf4j
@Component
public class AccountingUnifiedSupplierXGoodsDubboConsumerService {

	@Reference(version = "1.0.0", timeout = 10000, retries = -1)
	private DubboAccountingUnifiedSupplierXGoodsService dubboAccountingUnifiedSupplierXGoodsService;


	/****************************************** extends BaseService 部分 start ******************************************/

	public void addObj(AccountingUnifiedSupplierXGoodsParam param) {

		dubboAccountingUnifiedSupplierXGoodsService.addObj(param);

	}

	public void updateObj(AccountingUnifiedSupplierXGoodsParam param) {

		dubboAccountingUnifiedSupplierXGoodsService.updateObj(param);
	}

	public void deleteObj(Long id) {

		dubboAccountingUnifiedSupplierXGoodsService.deleteObj(id);
	}

	public AccountingUnifiedSupplierXGoods findById(Long id) {

		return dubboAccountingUnifiedSupplierXGoodsService.findById(id);
	}

	public PageInfo<AccountingUnifiedSupplierXGoods> findByPaging(Map<String, Object> conditions, Integer pageNun, Integer pageSize) {

		return dubboAccountingUnifiedSupplierXGoodsService.findByPaging(conditions, pageNun, pageSize);
	}

	public List<AccountingUnifiedSupplierXGoods> findAll(Map<String, Object> queryMap) {

		return dubboAccountingUnifiedSupplierXGoodsService.findAll(queryMap);
	}

	/****************************************** extends BaseService 部分   end ******************************************/


	public void addAccountingUnifiedSupplierXGoods(AccountingUnifiedSupplierXGoodsParam param) {

		dubboAccountingUnifiedSupplierXGoodsService.addAccountingUnifiedSupplierXGoods(param);
	}


	public void updateAccountingUnifiedSupplierXGoods(AccountingUnifiedSupplierXGoodsParam param) {

		dubboAccountingUnifiedSupplierXGoodsService.updateAccountingUnifiedSupplierXGoods(param);
	}


	public void deleteAccountingUnifiedSupplierXGoods(Long id) {
		dubboAccountingUnifiedSupplierXGoodsService.deleteAccountingUnifiedSupplierXGoods(id);
	}


	public AccountingUnifiedSupplierXGoods findAccountingUnifiedSupplierXGoodsById(Long id) {

		return dubboAccountingUnifiedSupplierXGoodsService.findAccountingUnifiedSupplierXGoodsById(id);
	}


	public R<List<AccountingUnifiedSupplierXGoods>> pageQuery(Map<String, Object> conditions, int pageNun, int pageSize) {

		return dubboAccountingUnifiedSupplierXGoodsService.pageQuery(conditions, pageNun, pageSize);
	}
}
